Subject: Re: bug#31650: 26.1; Desktop mode adds wm stickiness to emacs windows.

From: Noam Postavsky <[email-masked]>
Date: Thu, 31 May 2018 18:58:30 -0400

martin rudalics <[email-masked]> writes:

>> - Seems to be windows manager specific (you don't see it with xfwm4, I
>>    do with fvwm2 2.6.4).
>
> We would have to hear from others.  Anyone?  With emacs -Q evaluate
>
> (set-frame-parameter nil 'sticky nil)
>
> and look whether your frame starts to appear on all your desktops.

I tried with i3, seems to work correctly (all tests with a floating
window, since that seems to be a prerequisite for stickyness under i3):

(set-frame-parameter nil 'sticky nil) has no effect
(set-frame-parameter nil 'sticky t) makes the frame sticky,
and (set-frame-parameter nil 'sticky nil) makes it unsticky again.

I tested Emacs 26 with both Lucid and GTK builds.